Page MenuHome

Computer complete freeze when approaching Blender after some other operations like web search.
Closed, ResolvedPublic

Description

Windows 10
Nvidia GTX 1050Ti

Any available experimental version, even the daily 2.79b builds
Broken:
(example: 2.79b release)
(example: 2.80, edbf15d3c044, blender2.8, 2018-11-28, as found on the splash screen)
Worked: I can't say if the same happens with the official stable 2.79b since I practically don't use it anymore due to slower rendering times.

I work on any project, then do something else, like some internet research or look at some offline ref and so maybe for a minute or two. then when I'm about to work in Blender again it just freezes (about 90% of the times) and not even Task manager is able to stop the application. Everything else freezes as well and all that remains to do is to manually shut the computer down.
Last time that I notified this problem I thought I solved it by uninstalling Nvidia Experience, installing the most updated Nvidia drivers from the official website, cleaning up the pc, resetting battery settings, checked for system errors and everything I could think of, but as soon as I accepted to mark the task as invalid the issue showed up again. I think it's Blender related cause it really is the only software that behaves in such a way on my pc. I'm so sad. Blender is my fav software, it's like I can't live without it.

Details

Type
Bug

Event Timeline

Sebastian Parborg (zeddb) triaged this task as Needs Information from User priority.

Does this still happen if you download this dll and copy it so its located in the same directory as 'blender.exe' and run Blender normally?

The dll slows Blender down and makes it unstable, but at least I can jump back to Blender after doing other things with no probs and the crashes leave my pc alive so I can say there's an improvement.

Ok, then this is a problem with your GPU drivers. That .dll forces blender to use software rendering.

Are you on the latest nvidia driver version?

I downloaded and installed the most recent driver for my GPU after your last message. Meanwhile I tried unchecking GPU in Blender system preferences while the dll you gave to me wasn't in the Blender folder. For the time I could test it seemed to work fine. Then I tried with the updated GPU driver and GPU checked in the prefs. I opened Blender, assigned a material with some microdisplacement to the default cube and just left Blender open while being on Facebook. Suddenly the pc crashed entirely. Without even have to jump back to Blender. I think that for now I'm going to work without using the GPU but it's a sort of shame cause this was the pc with the most powerful GPU I could afford when I bought it. I also reinstalled the official stable 2.79b version of Blender which seems not to cause the problem.

I think most things are pointing to this being a hardware/GPU driver issue. @Clément Foucault (fclem) any ideas?

I formatted my PC, but the issue persists. Again, Blender is the only sw causing this. Everything else works just fine.

Jacques Lucke (JacquesLucke) raised the priority of this task from Needs Information from User to Needs Triage by Developer.Mar 7 2019, 3:27 PM

I really can't say what is happening. Yes the driver might have some issues but I can't really tell if this is our fault or not. It would take a developper to reproduce the issue on a dev machine so we could investigate.

@Aleksandr Novakov (aleksandrnovakovcg) You didn't specified if that happens if a big scene is loaded or if that happens with the default cube scene. Does it do that when rendering? What did you do in blender before the freeze.

No matter what I do it happens every time I stop working for a bit, even in a default cube scene. From my perception it could be a sudden change of processor/graphics card use, like going from 5% to 98% in a few ms. I tried to change 3D management settings in the Nvidia settings so that it's managed by Nvidia driver but nothing changed. I'm going to try setting CPU processing performance minimum level to 98% and see if it gets better.

Sebastian Parborg (zeddb) triaged this task as Needs Information from User priority.Jun 11 2019, 10:51 AM

Is this still an issue?

Hello, let me tell you some news: The last time I formatted my pc (approx 1-2 months ago) and reinstalled Windows without caring of most of the drivers, leaving Windows update manager automatically do whatever he wanted I had no crash/freeze till today, when I used Driver Easy to install every driver it found available to install some audio drivers. As I left it do the job, as soon as I reached Blender, already open, it freezed the entire pc again. So, finally, I'm assuming this is mostly a driver issue and there's a state of things that lets Blender and the PC work properly. To solve the issue I formatted my PC again and I wont use Driver Easy anymore even if I spent 40€ for it, I'll make backups wheneve I'm going to install new drivers and keep minimal. Thank you very much for the support. Let's make that 2.8 thing real the 11th July! :D

Sebastian Parborg (zeddb) closed this task as Resolved.Jul 4 2019, 10:53 PM
Sebastian Parborg (zeddb) claimed this task.